package com.example.greentown.dataView

import android.app.Activity.RESULT_OK
import android.os.Bundle
import androidx.compose.foundation.Image
import androidx.compose.foundation.background
import androidx.compose.foundation.border
import androidx.compose.foundation.clickable
import androidx.compose.foundation.layout.Box
import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.Spacer
import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.foundation.layout.fillMaxWidth
import androidx.compose.foundation.layout.height
import androidx.compose.foundation.layout.offset
import androidx.compose.foundation.layout.size
import androidx.compose.foundation.shape.RoundedCornerShape
import androidx.compose.material3.Button
import androidx.compose.material3.ButtonDefaults
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import androidx.compose.ui.draw.clip
import androidx.compose.ui.graphics.Color
import androidx.compose.ui.res.colorResource
import androidx.compose.ui.res.painterResource
import androidx.compose.ui.text.font.FontWeight
import androidx.compose.ui.text.style.TextAlign
import androidx.compose.ui.unit.dp
import androidx.compose.ui.unit.sp
import androidx.navigation.NavHostController
import com.example.greentown.R
import com.example.greentown.ui.theme.font2
import com.example.greentown.ui.theme.font3

import androidx.compose.material3.*
import androidx.compose.runtime.*
import kotlinx.coroutines.CoroutineScope
import kotlinx.coroutines.Dispatchers
import kotlinx.coroutines.launch
import kotlinx.coroutines.withContext
import org.jsoup.Jsoup

import androidx.activity.compose.rememberLauncherForActivityResult
import androidx.activity.result.contract.ActivityResultContracts
import com.google.zxing.integration.android.IntentIntegrator

@Composable
fun InfoView(navController: NavHostController) {
    Column(modifier = Modifier.fillMaxSize(),
        horizontalAlignment = Alignment.CenterHorizontally) {

        Box(modifier = Modifier.fillMaxWidth().background(color = colorResource(R.color.green2))
            .size(height = 70.dp, width = 0.dp).offset(y = 10.dp),
            contentAlignment = Alignment.Center) {
            Text("Информация", fontSize = 38.sp, color = Color.White,
                fontFamily = font2, fontWeight = FontWeight(1000))
            Box(modifier = Modifier.size(width = 26.dp, height = 5.dp).offset(x = (-140).dp, y = 1.dp)
                .background(color = colorResource(R.color.white))) {}
            Box(modifier = Modifier.size(width = 26.dp, height = 5.dp).offset(x = 140.dp, y = 1.dp)
                .background(color = colorResource(R.color.white))) {}}

        Spacer(modifier = Modifier.height(30.dp))

        Box(Modifier.offset(x = (-20).dp)) {
            Text(text = "Версия приложения: 1.0\n" +
                    "Категория: \n" +
                    "Языки: русский\n" + "Размер: 17.67 Мб", fontFamily = font3,
                fontSize = 24.sp, textAlign = TextAlign.Start, lineHeight = 35.sp)
        }

        Spacer(modifier = Modifier.height(100.dp))

        Button(onClick = {navController.navigate("AuthView")},
            modifier = Modifier.size(width = 280.dp, height = 40.dp),
            colors = ButtonDefaults.buttonColors(containerColor = colorResource(R.color.green2))) {
            Text("Для разработчика", fontSize = 22.sp, fontFamily = font3,
                fontWeight = FontWeight(900)) }

        Spacer(modifier = Modifier.weight(1f))

        Box(modifier = Modifier.fillMaxWidth().background(color = colorResource(R.color.green2))
            .size(height = 70.dp, width = 0.dp)) {

            Image(
                painter = painterResource(id = R.drawable.img_1),
                contentDescription = "Custom Image Button",
                modifier = Modifier.size(50.dp).offset(x = 35.dp, y = 10.dp)
                    .clickable(onClick = {navController.navigate("MainView")}))

            Image(
                painter = painterResource(id = R.drawable.img_2),
                contentDescription = "Custom Image Button",
                modifier = Modifier.size(50.dp).offset(x = 180.dp, y = 10.dp)
                    .clickable(onClick = {navController.navigate("RecView")}))

            Image(
                painter = painterResource(id = R.drawable.img_3),
                contentDescription = "Custom Image Button",
                modifier = Modifier.size(50.dp).offset(x = 330.dp, y = 10.dp)
                    .clickable(onClick = {navController.navigate("InfoView")}))
        }
    }
}