package com.example.greentown.dataView

import androidx.compose.foundation.Canvas
import androidx.compose.foundation.background
import androidx.compose.foundation.border
import androidx.compose.foundation.layout.Arrangement
import androidx.compose.foundation.layout.Box
import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.Spacer
import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.foundation.layout.fillMaxWidth
import androidx.compose.foundation.layout.height
import androidx.compose.foundation.layout.offset
import androidx.compose.foundation.layout.padding
import androidx.compose.foundation.layout.size
import androidx.compose.foundation.shape.CircleShape
import androidx.compose.foundation.shape.RoundedCornerShape
import androidx.compose.material3.Button
import androidx.compose.material3.ButtonDefaults
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import androidx.compose.ui.draw.clip
import androidx.compose.ui.geometry.Offset
import androidx.compose.ui.geometry.Size
import androidx.compose.ui.graphics.Color
import androidx.compose.ui.res.colorResource
import androidx.compose.ui.text.font.Font
import androidx.compose.ui.text.font.FontFamily
import androidx.compose.ui.text.font.FontWeight
import androidx.compose.ui.text.style.TextAlign
import androidx.compose.ui.unit.dp
import androidx.compose.ui.unit.sp
import androidx.navigation.NavHostController
import com.example.greentown.R
import com.example.greentown.ui.theme.font1
import com.example.greentown.ui.theme.font2
import com.example.greentown.ui.theme.font3


@Composable
fun StartView(navController: NavHostController) {

    Box(modifier = Modifier.size(150.dp).offset(x = (-75).dp, y = (-75).dp)
        .background(color = colorResource(R.color.green2), shape = CircleShape)) {}

    Column(modifier = Modifier.fillMaxSize(),
        horizontalAlignment = Alignment.CenterHorizontally,
        verticalArrangement = Arrangement.Center) {

        Spacer(modifier = Modifier.height(100.dp))

        Text("GreenTown", fontSize = 64.sp, fontFamily = font1)

        Spacer(modifier = Modifier.height(40.dp))

        Box(modifier = Modifier.size(height = 7.dp, width = 300.dp)
            .clip(RoundedCornerShape(90.dp))
            .border(6.dp, color = colorResource(R.color.green2))) {}

        Box(modifier = Modifier.size(height = 350.dp, width = 370.dp),
            contentAlignment = Alignment.Center) {
            Text(text = "Приложение для распределения мусора\n" +
                    "решает актуальную экологическую проблему,\n" +
                    "используя возможности современных технологий", fontFamily = font3,
                fontSize = 28.sp, textAlign = TextAlign.Center, lineHeight = 35.sp)
        }

        Box(modifier = Modifier.size(height = 7.dp, width = 300.dp)
            .clip(RoundedCornerShape(90.dp))
            .border(6.dp, color = colorResource(R.color.green2))) {}

        Spacer(modifier = Modifier.height(60.dp))

        Button(onClick = {navController.navigate("MainView")},
            modifier = Modifier.size(width = 170.dp, height = 60.dp), shape = RoundedCornerShape(8.dp),
            colors = ButtonDefaults.buttonColors(containerColor = colorResource(R.color.green2))) {
            Text("Начать", fontSize = 28.sp, fontFamily = font3,
                fontWeight = FontWeight(900))
        }

        Box(modifier = Modifier.size(150.dp).offset(x = 200.dp, y = 120.dp)
            .background(color = colorResource(R.color.green2), shape = CircleShape)) {}
    }
}