package com.example.greentown.viewModel

import androidx.lifecycle.ViewModel
import androidx.lifecycle.viewModelScope
import androidx.navigation.NavHostController
import com.example.greentown.Domain.Constants
import io.github.jan.supabase.gotrue.auth
import io.github.jan.supabase.gotrue.providers.builtin.Email
import kotlinx.coroutines.launch

class MainViewModel():ViewModel() {

    fun onSignInEmailPassword(emailUser: String, passwordUser: String, navController: NavHostController) {
        viewModelScope.launch {
            try {
                val user = Constants.supabaseClient.auth.signInWith(Email) {
                    email = emailUser
                    password = passwordUser
                }
                println(user.toString())
                println(Constants.supabaseClient.auth.currentUserOrNull()!!.id)
                println("Success")
                navController.navigate("AdminView")
            } catch (e: Exception) {
                println("Error")
                println(e.message.toString())
            }
        }
    }
}